// 4.18.1 0xae3c3a17
// Generated by imageconverter. Please, do not edit!

#include <BitmapDatabase.hpp>
#include <touchgfx/Bitmap.hpp>

extern const unsigned char image_background[]; // BITMAP_BACKGROUND_ID = 0, Size: 94x88 pixels
extern const unsigned char image_bg[]; // BITMAP_BG_ID = 1, Size: 480x272 pixels
extern const unsigned char image_blue_buttons_round_edge_small[]; // BITMAP_BLUE_BUTTONS_ROUND_EDGE_SMALL_ID = 2, Size: 170x60 pixels
extern const unsigned char image_blue_buttons_round_edge_small_pressed[]; // BITMAP_BLUE_BUTTONS_ROUND_EDGE_SMALL_PRESSED_ID = 3, Size: 170x60 pixels
extern const unsigned char image_clocks_backgrounds_clock_classic_background[]; // BITMAP_CLOCKS_BACKGROUNDS_CLOCK_CLASSIC_BACKGROUND_ID = 4, Size: 233x243 pixels
extern const unsigned char image_clocks_hands_clock_classic_hour_hand[]; // BITMAP_CLOCKS_HANDS_CLOCK_CLASSIC_HOUR_HAND_ID = 5, Size: 5x45 pixels
extern const unsigned char image_clocks_hands_clock_classic_minute_hand[]; // BITMAP_CLOCKS_HANDS_CLOCK_CLASSIC_MINUTE_HAND_ID = 6, Size: 5x65 pixels
extern const unsigned char image_clocks_hands_clock_classic_second_hand[]; // BITMAP_CLOCKS_HANDS_CLOCK_CLASSIC_SECOND_HAND_ID = 7, Size: 9x103 pixels
extern const unsigned char image_counter_box[]; // BITMAP_COUNTER_BOX_ID = 8, Size: 152x154 pixels
extern const unsigned char image_down_btn[]; // BITMAP_DOWN_BTN_ID = 9, Size: 130x56 pixels
extern const unsigned char image_down_btn_disabled[]; // BITMAP_DOWN_BTN_DISABLED_ID = 10, Size: 130x56 pixels
extern const unsigned char image_down_btn_pressed[]; // BITMAP_DOWN_BTN_PRESSED_ID = 11, Size: 130x56 pixels
extern const unsigned char image_up_btn[]; // BITMAP_UP_BTN_ID = 12, Size: 130x56 pixels
extern const unsigned char image_up_btn_disabled[]; // BITMAP_UP_BTN_DISABLED_ID = 13, Size: 130x56 pixels
extern const unsigned char image_up_btn_pressed[]; // BITMAP_UP_BTN_PRESSED_ID = 14, Size: 130x56 pixels

const touchgfx::Bitmap::BitmapData bitmap_database[] = {
    { image_background, 0, 94, 88, 0, 0, 94, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 88, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_bg, 0, 480, 272, 0, 0, 480, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 272, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_blue_buttons_round_edge_small, 0, 170, 60, 11, 4, 148, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 50, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_blue_buttons_round_edge_small_pressed, 0, 170, 60, 11, 4, 148, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 50, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_clocks_backgrounds_clock_classic_background, 0, 233, 243, 46, 50, 143, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 142, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_clocks_hands_clock_classic_hour_hand, 0, 5, 45, 2, 4, 1, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 39, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_clocks_hands_clock_classic_minute_hand, 0, 5, 65, 2, 2, 1, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 61, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_clocks_hands_clock_classic_second_hand, 0, 9, 103, 4, 1, 1, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 94, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_counter_box, 0, 152, 154, 0, 0, 152, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 154, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_down_btn, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_down_btn_disabled, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_down_btn_pressed, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_up_btn, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_up_btn_disabled, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_up_btn_pressed, 0, 130, 56, 3, 0, 124, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 55, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 }
};

namespace BitmapDatabase
{
const touchgfx::Bitmap::BitmapData* getInstance()
{
    return bitmap_database;
}

uint16_t getInstanceSize()
{
    return (uint16_t)(sizeof(bitmap_database) / sizeof(touchgfx::Bitmap::BitmapData));
}
} // namespace BitmapDatabase
